## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          python-pyqt6-webengine
Version:       6.4.0
Release:       %autorelease
Summary:       Python bindings for Qt6WebEngine
License:       GPL-3.0-only
Url:           https://www.riverbankcomputing.com/software/pyqtwebengine/
Source0:       %{pypi_source PyQt6_WebEngine}

# %%{qt6_qtwebengine_arches} is not yet defined
ExclusiveArch: aarch64 x86_64

## downstream patches

BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: pkgconfig(Qt6WebEngineCore)
BuildRequires: pkgconfig(Qt6WebEngineQuick)
BuildRequires: pkgconfig(Qt6WebEngineWidgets)

BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-pyqt6 >= 6.2.0
BuildRequires: python%{python3_pkgversion}-pyqt6-devel
BuildRequires: %{py3_dist sip} >= 6
BuildRequires: %{py3_dist PyQt-builder} >= 1.11

%description
%{summary}.

%package -n python%{python3_pkgversion}-pyqt6-webengine
Summary: Python3 bindings for Qt6 WebEngine
Requires:  python%{python3_pkgversion}-pyqt6%{?_isa}
%{?python_provide:%python_provide python%{python3_pkgversion}-pyqt6-webengine}
%description -n python%{python3_pkgversion}-pyqt6-webengine
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{py3_dist sip} >= 6
%description devel
%{summary}.

%package doc
Summary: Developer documentation for %{name}
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q -n PyQt6_WebEngine-%{version}


%build
PATH=%{_qt6_bindir}:$PATH ; export PATH

sip-build \
  --no-make \
  --qmake=%{_qt6_qmake} \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --verbose \
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{build_cflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{build_cxxflags}"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{build_ldflags}"'

%make_build -C build


%install
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done


%files -n python%{python3_pkgversion}-pyqt6-webengine
%doc README
%license LICENSE
%{python3_sitearch}/PyQt6_WebEngine-%{version}.dist-info/
%{python3_sitearch}/PyQt6/QtWebEngineCore.*
%{python3_sitearch}/PyQt6/QtWebEngineQuick.*
%{python3_sitearch}/PyQt6/QtWebEngineWidgets.*

%files devel
%license LICENSE
%{python3_sitearch}/PyQt6/bindings/QtWebEngine*/

%files doc
# avoid dep on qscintilla-python, own %%_qt6_datadir/qsci/... here for now
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%doc %{_qt6_datadir}/qsci/api/python/PyQt6-WebEngine.api


%changelog
* Mon May 01 2023 John Doe <packager@example.com> - 6.4.0-1
- Uncommitted changes
